Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Geoprocess
Target version: 2.0.0-devel-2053
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When jts has to make a union of an array of a great amount of geometries (3000 or more),  the JVM throws an out of memory. The
processes Dissolve and FuseSpatially should split the array to make the union. It is necessary to do some tests to determine an
appropiate size of this array.

History
#1 - 09/06/2012 11:41 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-geoprocess:r300

#2 - 09/06/2012 12:31 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2053

#3 - 09/26/2012 10:30 AM - María Maluenda
- File gvSIG-environ.info added
- Status changed from Fixed to Closed

Tested in the gvSIG build 2053. 
Add http://downloads.gvsig.org/download/geodata/vector/SHP2D/hidro_andalucia.zip
Apply buffer with distance=100, disable the option dissolve
Apply the Dissolve tool to Buffer result and select field=DIST
The Dissolve tool works ok with a layer that contain 4853 records.

Files
gvSIG-environ.info 6.35 KB 09/26/2012 María Maluenda
